.product-page {
    margin-top: 5rem;
    .product-page-content{
        position: relative;
        @include flex() ;

        .product-img-holder{
            flex: 0 0 450px ;
        }

        .product-detail-holder{
            @include flex();
            flex-flow: row ;
            flex-wrap: wrap;
            flex: 0 0 calc( 100 - 400px );
            padding-right: 1.5rem ;

            .product-detail-item{
                @include flex($content:flex-start);
                flex-flow: row ;
                flex-wrap: wrap;
                margin-bottom: 2.5rem;
                .product-name{
                    flex: 0 0 100%;
                    @include typography($size:18px,$weight:bold) ;
                    margin-bottom: 0.8rem!important;
                }
                #product-short-name{
                    flex: 0 0 100%;
                    @include typography($size:15px);
                    @include opacity(0.5)
                }
                #price , #last-price-update{
                    flex: 0 0 100%;
                }
                #price{
                     @include typography($size:23px);
                     margin-bottom: 0.5rem;
                     color: map-get($colors, "red" )
                }
                #last-price-update{
                    @include typography($size:15px);
                    color: map-get($gray-colors, "gray-700" );
                    @include opacity(0.8)
                }
                select{
                    border: 1px solid map-get($gray-colors, "gray-600" );
                    border-radius: map-get($border-radius, "md" );
                    padding: 0px 12px;
                    @include typography($size:14px) ;
                    height: 45px;
                    color: map-get($gray-colors, "gray-600" );
                    flex: 1
                }
                #select-product-color-title{
                    flex: 0 0 100%;
                    @include typography($size:16px,$weight:bold) ;
                    margin-bottom: 0.6rem;
                }
                .product-color-item{
                    position: relative;
                    padding: 0px 45px 0 20px;
                    width: 115px;
                    height: 40px;
                     @include typography($lineheight:40px) ;
                    background: map-get($gray-colors, "white" );
                    border-radius: map-get($border-radius, "md" );
                    margin-left: 1rem;
                    border: 1px solid map-get($gray-colors, "white" );
                    @include css3-prefix(transition,all 0.5s);
                    cursor: pointer;
                    &.active{
                        border: 1px solid map-get($gray-colors, "gray-600" );
                    }
                    span{
                        @include position($type:absolute,$top:8px,$right:10px) ;
                        border-radius: 100% ;
                        width: 24px ;
                        height: 24px ;
                    }
                }
                .product-buy-btns{
                    flex: 0 0 100%;
                    @include flex($content:space-between)
                }
                .add-product-to-prefactor{
                    padding: 0px 12px;
                    flex: 0 0 40%;
                    background: map-get($colors, "design-red" ) ;
                    @include css3-prefix(transition, all 0.5s) ;
                    color: map-get($gray-colors, "white" ) ;
                    @include typography($size:14px,$lineheight:55px,$align:center) ;
                    border-radius: map-get($border-radius, "md" ) ;
                }
                .add-product-to-basket{
                    padding: 0px 12px;
                    flex: 0 0 55%;
                    background: map-get($colors, "design-green" ) ;
                    @include css3-prefix(transition, all 0.5s) ;
                    color: map-get($gray-colors, "white" ) ;
                    @include typography($size:14px,$lineheight:55px,$align:center) ;
                    border-radius: map-get($border-radius, "md" ) ;
                }
                &.full {
                    flex: 0 0 100%;
                }
                &.half {
                    flex: 0 0 50%;
                }
            }
        }
    }
}
.product-tabs-holder{
    background-color: map-get($gray-colors, "white" ) ;
    @include flex($direction:column);
    flex-flow: row;
    flex-wrap: wrap ;
    margin-top: 5rem;
}
.product-tabs-link{
    flex: 0 0 100% ;
    border-bottom: 4px solid map-get($gray-colors, "gray-200" ) ;
    @include flex($content:flex-start)
}
.profuct-tl-item{
    padding: 0px 12px;
    @include typography($size:15px,$lineheight:45px)
}
.product-tabs-content{
    flex: 0 0 100%;
    @include flex()
}

.related-product-slider{
    position: relative;
    margin-top: 5rem;
}
.related-product-slider-header h3{
    @include typography($size:22px ,$weight:bold);
}
.related-product-slider-header a{
    font-size: 14px ;
    color: #000;
}
.related-product-slider .swiper-button-next,.related-product-slider .swiper-button-prev {
     background-image: none ;
     top: calc( 50% + 30px ) ;
     cursor: pointer;
}
.related-product-slider .swiper-button-prev {
    right: auto ;
    left: -40px;
}
.related-product-slider .swiper-button-next {
    right: -30px ;
}
.related-product-slider .swiper-button-next i, .related-product-slider .swiper-button-prev i {
    font-size: 24px
}
.related-product-slider .swiper-slide {
    height: 230px
}
.related-product-slider .swiper-slide a{
    background: #fff ;
    color: #000 ;
    height: 230px;
    padding: 15px
}
.related-product-slider .swiper-slide a .img-holder{
    height: 100px;
    @include flex();
    margin-bottom: 10px;
}
.related-product-slider .swiper-slide a .img-holder img{
    max-width: 100%;
    max-height: 100px
}
.related-product-slider .swiper-slide h3{
    max-height: 60px;
    overflow: hidden;
    @include typography($size:14px ,$lineheight:22px);
}
.related-product-slider .swiper-slide  span{
    color: #c15a5a ;
    font-size: 14px
}

.product-tabs-link{
    padding: 0px 10px
}
.profuct-tl-item{
    padding: 0px 12px;
    @include typography($size:15px,$lineheight:60px,$weight:bold);
    @include opacity(0.8) ;
    cursor: pointer;
    position: relative;
    &.active{
        &::before{
            content:'' ;
            @include position($type:absolute,$bottom:-4px,$right:0);
            width: 100%;
            height: 4px;
            background: map-get($colors, "red-light" )
        }
    }
}
.product-tc-item{
    flex: 0 0 100%;
    padding: 1.8rem 1.4rem ;
    display: none;
 
    flex-flow: row ;
    flex-wrap: wrap;
    &.active{
        @include flex($justflex:"true")
    }
    p{
        text-align: justify;
    }
}
.p-description{
    @include typography($size:14px,$lineheight:40px) ;
    @include opacity(0.8)
}
.p-params{
    @include flex($direction:column) ;
    flex-flow: row;
    flex-wrap: wrap ;
    display: none;
}
.p-param-item{
    flex: 0 0 100% ;
    margin-bottom: 1rem;
    @include flex();
    span{
        background-color: map-get($gray-colors, "gray-100" ) ;
        @include typography($size:15px,$lineheight:50px) ;
        padding: 0px 20px;
    }
    span#key{
        flex: 0 0 200px ;
        margin-left: 20px;
    }
    span#value{
        flex: 1
    }
}
.p-param-title{
    flex: 0 0 100% ;
    @include typography($size:18px,$weight:bold);
    margin-bottom: 1rem;
}
.product-main-img{
    height: 450px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: map-get($gray-colors, "white" ) ;
}
.product-main-img .magnifier-thumb-wrapper{
    padding: 10px;
}
.product-main-img img{
    max-width:70%;
    max-height:60%;
}
.zoomWindow{
    position: absolute;
    top: 0 ;
    right: 360px!important;
    left: auto!important;
    border-radius: 4px !important;
    pointer-events: none ;
}
.product-small-imgs{
    margin-top: 20px ;
    border-radius: 4px;
    @include flex($content:space-between)
}
.product-small-imgs div{
    flex: 0 0 18%;
    height: 80px;
    padding: 12px;
    text-align: center ;
    background-color: map-get($gray-colors, "white" ) ;
    @include flex()
}
.product-small-imgs div img{
    max-width: 100%;
    max-height:100%;
    float: right;
    cursor: pointer;
}
.product-small-imgs div i{
    font-size: 20px;
    line-height: 56px;
    color:#7f8c8d ;
    float: right;
    width: 100%;
}
.product-small-imgs div.more span{
    border:3px solid #ddd ;
    border-radius: 6px;
    height: 60px;
    width: 60px ;
    text-align:center ;
    cursor:pointer
}
.slider-modal{
    position: fixed;
    width: 90%;
    height: 86%;
    top: 7%;
    right: 5%;
    opacity: 0;
    visibility: hidden;
                -webkit-transition: all 0.8s;
            -moz-transition: all 0.8s;
        -o-transition: all 0.8s;
    transition: all 0.8s;
    z-index: 10001;
}
.slider-modal-content{
    position: relative;
    width: 100%;
    height: 100%;
    float: right;
    background: #fff ; z-index: 10001;
}
.slider-modal.active{
    opacity: 1;
    visibility: visible ;
}
.slider-modal-content #close-this{
    position: absolute;
    top: 20px;
    left:20px;
    z-index: 4;
    cursor: pointer;
                -webkit-transition: all 0.4s;
            -moz-transition: all 0.4s;
        -o-transition: all 0.4s;
    transition: all 0.4s;
}
.slider-modal-content #close-this i{
    color: #7f8c8d ;
    font-size: 32px;
}
.slider-modal-content #close-this:hover i{
    color: #000 ;
}
.swiper-container.gallery-top{
    position: relative;
    width: calc( 100% - 340px );
    height: 100% ;
    float: left;
    padding: 30px 10px 30px 60px;
    margin-left: 60px;
}
.swiper-container.gallery-thumbs{
    position: relative;
    width: 230PX;
    height: 100% ;
    float: right;
    border-left: 1px solid #ecf0f1;
     padding: 45px;
     padding-right: 0;
     margin-right: 40px;
     overflow: hidden;
}
.swiper-container.gallery-thumbs img{
    max-width: 90%;
    max-height: 90%;
}


.product-tc-item-res{
    flex: 0 0 100% ;
    display: none;
}
// comment area
 .product-comment-item{
    background-color: map-get($gray-colors, "gray-100" ) ;
    border-radius: map-get($border-radius, "md" ) ;
    padding: 1rem 1.5rem ;
    border: 1px solid  map-get($gray-colors, "gray-300" ) ;
    margin-bottom: 1rem;
    &:nth-last-child(1){
        margin: 0
    }
    .product-ci-header{
        flex: 0 0 100% ;
        @include flex($justflex:"true") ;
        flex-flow: row;
        flex-wrap: wrap;
        border-bottom: 1px solid map-get($gray-colors, "gray-300" ) ;
        @include typography($size:14px,$align:justify);
        span{
            flex: 0 0 100%;
            &#title{
                @include typography($size:17px,$weight:bold);
                margin-bottom: 0.8rem;
            }
            &#name-date{
                margin-bottom: 0.5rem;
            }
        }
    }
    .product-ci-content{
        flex: 0 0 100% ;
        @include typography($size:14px,$align:justify,$lineheight:40px)
    }
}
.product-options{
    width: 50px;
    @include flex($justflex:"true") ;
    flex-flow: row; 
    flex-wrap: wrap;
    @include position($type:absolute,$top:20px,$right:30px);
    span{
        width: 50px;
        height: 50px;
        border-radius: map-get($border-radius, "md" ) ;
        @include flex() ;
        background-color: map-get($gray-colors, "gray-200" ) ;
        margin-bottom: 1rem;
        cursor: pointer;
        @include css3-prefix(transition,all 0.5s) ;
        &:hover{
            background-color: map-get($gray-colors, "gray-300" ) ;
        }
        i{
            @include typography($size:30px) ;
            margin-left: 3px;
        }
    }
}